Subject: Re: Mystery Caterpillar

From: Nick Percival <[email-masked]>
Date: Fri, 11 Aug 1995 17:27:51 +0100

In response to Kurt Fox's description, this sounds very much like
          a Tussock moth, of which we have two species here in the UK
          (genus Dasychira) or possibly a Vapourer moth (again two British
          species, genus Orgyia).

          All the above are assigned to the family Lymantriidae.  A quick
          check of my old copy of Holland's "Moth Book" suggests the US
          equivalent was family Liparidae, genus Hemerocampa.  I'm not sure
          if these are really different, or just old synonyms.

          Nick Percival
          [email-masked]